org.h2.expression.function

## Class StringFunction1

- java.lang.Object
- - org.h2.expression.Expression
  - - org.h2.expression.Operation1
    - - org.h2.expression.function.Function1
      - - org.h2.expression.function.StringFunction1

All Implemented Interfaces:
  NamedExpression, HasSQL, Typed

    public final class StringFunction1
    extends Function1

A string function with one argument.

### Field Summary

Fields
`static int` `ASCII` ASCII() (non-standard).
`static int` `CHAR` CHAR() (non-standard).
`static int` `HEXTORAW` HEXTORAW() (non-standard).
`static int` `LOWER` LOWER().
`static int` `QUOTE_IDENT` QUOTE_IDENT() (non-standard).
`static int` `RAWTOHEX` RAWTOHEX() (non-standard).
`static int` `SPACE` SPACE() (non-standard).
`static int` `STRINGDECODE` STRINGDECODE() (non-standard).
`static int` `STRINGENCODE` STRINGENCODE() (non-standard).
`static int` `STRINGTOUTF8` STRINGTOUTF8() (non-standard).
`static int` `UPPER` UPPER().
`static int` `UTF8TOSTRING` UTF8TOSTRING() (non-standard).

### Fields inherited from class org.h2.expression.Operation1

`arg, type`

### Fields inherited from class org.h2.expression.Expression

`AUTO_PARENTHESES, MAP_IN_AGGREGATE, MAP_IN_WINDOW, MAP_INITIAL, WITH_PARENTHESES, WITHOUT_PARENTHESES`

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

### Constructor Summary

Constructors
Constructor and Description
`StringFunction1(Expression arg, int function)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Get the name.
`Value` `getValue(SessionLocal session)` Return the resulting value for the current row.
`Expression` `optimize(SessionLocal session)` Try to optimize the expression.

### Methods inherited from class org.h2.expression.function.Function1

`getUnenclosedSQL`

### Methods inherited from class org.h2.expression.Operation1

`getCost, getSubexpression, getSubexpressionCount, getType, isEverything, mapColumns, setEvaluatable, updateAggregate`

### Methods inherited from class org.h2.expression.Expression

`addFilterConditions, createIndexConditions, getAlias, getBooleanValue, getColumnName, getColumnNameForView, getEnclosedSQL, getNonAliasExpression, getNotIfPossible, getNullable, getSchemaName, getSQL, getSQL, getSQL, getSQL, getTableAlias, getTableName, getWhenSQL, getWhenValue, isConstant, isIdentity, isNullConstant, isValueSet, isWhenConditionOperand, needParentheses, optimizeCondition, toString, writeExpressions, writeExpressions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getTraceSQL`

### Field Detail

#### UPPER

    public static final int UPPER

UPPER().

See Also:
  Constant Field Values

#### LOWER

    public static final int LOWER

LOWER().

See Also:
  Constant Field Values

#### ASCII

    public static final int ASCII

ASCII() (non-standard).

See Also:
  Constant Field Values

#### CHAR

    public static final int CHAR

CHAR() (non-standard).

See Also:
  Constant Field Values

#### STRINGENCODE

    public static final int STRINGENCODE

STRINGENCODE() (non-standard).

See Also:
  Constant Field Values

#### STRINGDECODE

    public static final int STRINGDECODE

STRINGDECODE() (non-standard).

See Also:
  Constant Field Values

#### STRINGTOUTF8

    public static final int STRINGTOUTF8

STRINGTOUTF8() (non-standard).

See Also:
  Constant Field Values

#### UTF8TOSTRING

    public static final int UTF8TOSTRING

UTF8TOSTRING() (non-standard).

See Also:
  Constant Field Values

#### HEXTORAW

    public static final int HEXTORAW

HEXTORAW() (non-standard).

See Also:
  Constant Field Values

#### RAWTOHEX

    public static final int RAWTOHEX

RAWTOHEX() (non-standard).

See Also:
  Constant Field Values

#### SPACE

    public static final int SPACE

SPACE() (non-standard).

See Also:
  Constant Field Values

#### QUOTE_IDENT

    public static final int QUOTE_IDENT

QUOTE_IDENT() (non-standard).

See Also:
  Constant Field Values

### Constructor Detail

#### StringFunction1

    public StringFunction1(Expression arg,
                           int function)

### Method Detail

#### getValue

    public Value getValue(SessionLocal session)

Description copied from class: `Expression`
Return the resulting value for the current row.

Specified by:
  `getValue` in class `Expression`
Parameters:
  `session` - the session
Returns:
  the result

#### optimize

    public Expression optimize(SessionLocal session)

Description copied from class: `Expression`
Try to optimize the expression.

Specified by:
  `optimize` in class `Expression`
Parameters:
  `session` - the session
Returns:
  the optimized expression

#### getName

    public java.lang.String getName()

Description copied from interface: `NamedExpression`
Get the name.

Returns:
  the name in uppercase